Bug 215298 - [NEW PORT] net/py-python-barbicanclient - Client library for openstack barbican key management api
Summary: [NEW PORT] net/py-python-barbicanclient - Client library for openstack barbic...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-14 09:57 UTC by Alexander Nusov
Modified: 2016-12-17 16:41 UTC (History)
1 user (show)

See Also:


Attachments
net/py-barbicanclient (3.23 KB, patch)
2016-12-14 09:57 UTC, Alexander Nusov
no flags Details | Diff
net/py-python-barbicanclient (3.14 KB, patch)
2016-12-15 14:55 UTC, Alexander Nusov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Nusov 2016-12-14 09:57:09 UTC
Created attachment 177961 [details]
net/py-barbicanclient

This is a client for the Barbican Key Management API. There is a Python
library for accessing the API (barbicanclient module), and a command-line
script (barbican).
Comment 1 Roman Bogorodskiy freebsd_committer 2016-12-15 13:44:17 UTC
(In reply to Alexander Nusov from comment #0)

For one of the previous openstack client ports it was suggested by koobs@ that convention for the ports that are available on pypi to make port's name follow the pypi naming.

E.g. for this case that would be py-python-barbicanclient (and no need to define DISTNAME).

I'm planning to rename all the existing ports this weekend (and update dependencies of course).

Can you please rename this one as well?
Comment 2 Alexander Nusov 2016-12-15 14:55:21 UTC
Created attachment 177988 [details]
net/py-python-barbicanclient

renamed py-barbicanclient to py-python-barbicanclient
Comment 3 Alexander Nusov 2016-12-15 14:55:31 UTC
(In reply to Roman Bogorodskiy from comment #1)
done
Comment 4 commit-hook freebsd_committer 2016-12-17 16:38:48 UTC
A commit references this bug:

Author: novel
Date: Sat Dec 17 16:38:27 UTC 2016
New revision: 428780
URL: https://svnweb.freebsd.org/changeset/ports/428780

Log:
  Add py-python-barbicanclient 4.1.0, client Library for OpenStack
  Barbican Key Management API.

  PR:		215298
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/net/Makefile
  head/net/py-python-barbicanclient/
  head/net/py-python-barbicanclient/Makefile
  head/net/py-python-barbicanclient/distinfo
  head/net/py-python-barbicanclient/pkg-descr
Comment 5 Roman Bogorodskiy freebsd_committer 2016-12-17 16:41:41 UTC
Committed, thanks!

I've update COMMENT to match the one in setup.cfg (it doesn't have to be all lower case) and updated keystone client dependency after renaming of the client ports in https://svnweb.freebsd.org/changeset/ports/428767.